Bug 822929 - Review Request: activemq-protobuf - ActiveMQ Protocol Buffers
Summary: Review Request: activemq-protobuf - ActiveMQ Protocol Buffers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Spaulding
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-18 14:25 UTC by gil cattaneo
Modified: 2012-09-18 05:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-25 02:59:59 UTC
Type: ---
mspaulding06: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-05-18 14:25:44 UTC
Spec URL: http://gil.fedorapeople.org/activemq-protobuf.spec
SRPM URL: http://gil.fedorapeople.org/activemq-protobuf-1.1-1.fc16.src.rpm
Description: A Simpler Protocol Buffer Java API.
Comes with a built in proto file
compiler and Java source code generator.

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4086566

Comment 1 Matt Spaulding 2012-08-14 18:57:51 UTC
RPMLint Output:

activemq-protobuf.noarch: W: spelling-error %description -l en_US proto -> proton, pronto, promo
activemq-protobuf.src: W: spelling-error %description -l en_US proto -> proton, pronto, promo
activemq-protobuf.src: W: invalid-url Source0: activemq-protobuf-1.1-src-svn.tar.gz
/home/mspaulding/sandbox/fed/review/activemq-protobuf.spec: W: invalid-url Source0: activemq-protobuf-1.1-src-svn.tar.gz
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

Package Review
==============
Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[!]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc. [1]
[x]: MUST License field in the package spec file matches the actual license. [2]
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL. [1]
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL. [1]
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass. [3]
     Note: No check section since tests are run from mvn-rpmbuild.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils [4]
[-]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)

Issues:

1. The package creates the "activemq" directory, but does not own it. I'm guessing this might be on purpose because there will be a core activemq package that will own the directory? If this is the case then there is nothing more to do; otherwise please have the package own the activemq directory.

Comment 3 gil cattaneo 2012-08-14 22:50:45 UTC
for activemq 5.6.0 there is again a lot of work to do...
for now, must take activemq-protobuf the directory ownership?
thanks
regards

Comment 4 Matt Spaulding 2012-08-14 23:44:14 UTC
Hi Gil,

I had a discussion with agrimm and I think it might be even better if the jar file is located in /usr/share/java instead of /usr/share/java/activemq. This is just a suggestion and not a requirement.

APPROVED!

Comment 5 gil cattaneo 2012-08-15 09:59:23 UTC
New Package SCM Request
=======================
Package Name: activemq-protobuf
Short Description: ActiveMQ Protocol Buffers
Owners: gil
Branches: f17 f18
InitialCC: java-sig

Comment 6 Gwyn Ciesla 2012-08-15 10:54:56 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-08-15 18:52:29 UTC
activemq-protobuf-1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/activemq-protobuf-1.1-2.fc18

Comment 8 Fedora Update System 2012-08-15 19:06:10 UTC
activemq-protobuf-1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/activemq-protobuf-1.1-2.fc17

Comment 9 Fedora Update System 2012-08-15 23:33:07 UTC
activemq-protobuf-1.1-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2012-08-25 02:59:59 UTC
activemq-protobuf-1.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2012-09-17 22:48:33 UTC
activemq-protobuf-1.1-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.